Subject: rm refuses to remove files owned by the user, even in force mode

From: Nicolas Mailhot <[email-masked]>
Date: Fri, 01 Mar 2019 13:48:51 +0100

Hi,

For their own reasons, the Go maintainers have decided the user Go cache
will now be read-only.
https://github.com/golang/go/issues/27161#issuecomment-433098406

That means cleaning up cache artefacts with rm does not work anymore
https://github.com/golang/go/issues/30502

I understand the need to protect read only files (even though they're
supposed to have been created by a user decision, not by user-hostile
tools). However should not rm remove the files anyway in force (-f) mode
without an explicit chmod first? Do it without bothering me is why -f
exists after all.

$ rpm -q --whatprovides /usr/bin/rm
coreutils-8.30-9.fc30.x86_64

Best regards,

-- 
Nicolas Mailhot